org.apache.ode.bpel.pmapi

## Enum ProcessInfoCustomizer.Item

- java.lang.Object
- - java.lang.Enum<ProcessInfoCustomizer.Item>
  - - org.apache.ode.bpel.pmapi.ProcessInfoCustomizer.Item

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProcessInfoCustomizer.Item>
  Enclosing class:
    ProcessInfoCustomizer

      public static enum ProcessInfoCustomizer.Item
      extends java.lang.Enum<ProcessInfoCustomizer.Item>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOCUMENTS`
    `ENDPOINTS`
    `PROPERTIES`
    `SUMMARY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProcessInfoCustomizer.Item` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProcessInfoCustomizer.Item[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUMMARY

          public static final ProcessInfoCustomizer.Item SUMMARY

    - #### DOCUMENTS

          public static final ProcessInfoCustomizer.Item DOCUMENTS

    - #### PROPERTIES

          public static final ProcessInfoCustomizer.Item PROPERTIES

    - #### ENDPOINTS

          public static final ProcessInfoCustomizer.Item ENDPOINTS

  - ### Method Detail

    - #### values

          public static ProcessInfoCustomizer.Item[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProcessInfoCustomizer.Item c : ProcessInfoCustomizer.Item.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProcessInfoCustomizer.Item valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null